
# Interface: ICanvasDefinitionSetPrintArea

Provides properties to set up a print area.

For details, you can refer to the [SetPrintArea command](https://customerscanvas.com/dev/sdks/ui-framework/widgets/design-editor-commands/set-print-area.html).
```
{
  "type": "canvas",
  "name": "editor",
  "params": {
    "initial": { ... },
    "setPrintArea": {
      "options": {
        "preserveUserChanges": true,
        "updateRevertData": false
      },
      "data": {
        "designFile": "{{vars.designRoot + '/' + $['card-size']._.title}}"
      }
    }
  }
}
```

## Hierarchy

* [ICanvasCommandDefinition](icanvascommanddefinition.md)

  ↳ **ICanvasDefinitionSetPrintArea**

## Index

### Properties

* [after](icanvasdefinitionsetprintarea.md#optional-after)
* [data](icanvasdefinitionsetprintarea.md#data)
* [options](icanvasdefinitionsetprintarea.md#options)
* [surfaceIndex](icanvasdefinitionsetprintarea.md#optional-surfaceindex)

## Properties

### `Optional` after

• **after**? : *string | string[]*

*Inherited from [ICanvasCommandDefinition](icanvascommanddefinition.md).[after](icanvascommanddefinition.md#optional-after)*

The next commands to be executed after this command completes.

___

###  data

• **data**: *CustomersCanvas.IframeApi.ObjectModel.IPrintAreaTemplate | CustomersCanvas.IframeApi.ObjectModel.IPrintAreaDefinition*

The print area [definition](https://customerscanvas.com/dev/sdks/design-editor-js/howto/update-surfaces.html).

___

###  options

• **options**: *any*

Additional configuration parameters. For details, see the [reference](https://customerscanvas.com/dev/sdks/design-editor-js/howto/update-surfaces.html).

___

### `Optional` surfaceIndex

• **surfaceIndex**? : *number*

The index of a surface that should be modified (the current surface if omitted).
